<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\CategoriasController;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('categorias',        [CategoriasController::class, 'index'])->name('categorias.index');
Route::post('categorias', [CategoriasController::class, 'store'])->name('categorias.store');
Route::get('categorias/create', [CategoriasController::class, 'create'])->name('categorias.create');
Route::get('categorias/{categoria}', [CategoriasController::class, 'show'])->name('categorias.show');
Route::delete('categorias/{categoria}', [CategoriasController::class, 'destroy'])->name('categorias.destroy');
Route::get('categorias/edit/{categoria}', [CategoriasController::class, 'edit'])->name('categorias.edit');
Route::put('categorias/update/{categoria}', [CategoriasController::class, 'update'])->name('categorias.update');
